| Home | Libraries | People | FAQ | More

## Class template unwrap_reference

boost::unwrap_reference — Find the type in a `reference_wrapper`.

## Synopsis

    // In header: <boost/ref.hpp>

    template<typename T>
    class unwrap_reference {
    public:
      // types
      typedef unspecified type;
    };

## Description

The typedef `type` is `T::type` if `T` is a `reference_wrapper`, `T` otherwise.